Skip to main content
GET
/
external
/
contacts
/
search
Search contacts
curl --request GET \
  --url https://platform.lensmor.com/external/contacts/search \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "fullName": "<string>",
      "contactUnlockStatus": "<string>",
      "title": "<string>",
      "department": "<string>",
      "seniorityLevel": "<string>",
      "linkedinUrl": "<string>",
      "companyName": "<string>",
      "sourceType": "<string>",
      "email": "<string>",
      "linkedinActivity": {
        "activityLevel": "<string>",
        "isActive": true,
        "latestPostAt": "<string>"
      },
      "linkedinActivityStatus": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "pageSize": 123,
  "totalPages": 123,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

company_name
string
required
Required string length: 1 - 200
role
string
Maximum string length: 200
person_name
string
Maximum string length: 200
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated contacts

items
object[]
required
total
integer
required
page
integer
required
pageSize
integer
required
totalPages
integer
required
hasMore
boolean
required